#include<bits/stdc++.h>
using namespace std;
int main()
{
    int n,t;
    cin>>n;
    int vrsta[n],kolona[n];
    for(int i=0;i<n;i++)
        cin>>vrsta[i]>>kolona[i];
    if(n==1) {cout<<"0"; return 0;}
    if(n==2)
    {
        if((vrsta[0]==vrsta[1]) || (kolona[0]==kolona[1])) cout<<"1";
        else cout<<"0";
        return 0;
    }
    cout<<"0";
}